com.lowagie.text.pdf

## Class XfaForm.AcroFieldsSearch

- java.lang.Object
- - com.lowagie.text.pdf.XfaForm.Xml2Som
  - - com.lowagie.text.pdf.XfaForm.AcroFieldsSearch

- Enclosing class:
    XfaForm

      public static class XfaForm.AcroFieldsSearch
      extends XfaForm.Xml2Som

  A class to process "classic" fields.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.HashMap` | `acroShort2LongName`

    - ### Fields inherited from class com.lowagie.text.pdf.XfaForm.Xml2Som

      `anform, inverseSearch, name2Node, order, stack`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XfaForm.AcroFieldsSearch(java.util.Collection items)` Creates a new instance from a Collection with the full names.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.HashMap` | `getAcroShort2LongName()` Gets the mapping from short names to long names.
    `void` | `setAcroShort2LongName(java.util.HashMap acroShort2LongName)` Sets the mapping from short names to long names.

    - ### Methods inherited from class com.lowagie.text.pdf.XfaForm.Xml2Som

      `escapeSom, getInverseSearch, getName2Node, getOrder, getShortName, inverseSearchAdd, inverseSearchAdd, inverseSearchGlobal, printStack, setInverseSearch, setName2Node, setOrder, splitParts, unescapeSom`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### acroShort2LongName

          private java.util.HashMap acroShort2LongName

  - ### Constructor Detail

    - #### XfaForm.AcroFieldsSearch

          public XfaForm.AcroFieldsSearch(java.util.Collection items)

      Creates a new instance from a Collection with the full names.
      Parameters:
        `items` - the Collection

  - ### Method Detail

    - #### getAcroShort2LongName

          public java.util.HashMap getAcroShort2LongName()

      Gets the mapping from short names to long names. A long name may contain the #subform name part.
      Returns:
        the mapping from short names to long names

    - #### setAcroShort2LongName

          public void setAcroShort2LongName(java.util.HashMap acroShort2LongName)

      Sets the mapping from short names to long names. A long name may contain the #subform name part.
      Parameters:
        `acroShort2LongName` - the mapping from short names to long names